//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace EnergyMission.Data
{
    using System;
    using System.Collections.Generic;
    
    public partial class Organization
    {
        public long Id { get; set; }
        public string Name { get; set; }
        public Nullable<int> NOE { get; set; }
        public long ClientId { get; set; }
        public string Address { get; set; }
        public string City { get; set; }
        public Nullable<long> StateId { get; set; }
        public Nullable<long> PostCodeId { get; set; }
        public string Geo_location_Latitude { get; set; }
        public string Geo_location_Longditude { get; set; }
        public Nullable<bool> IsDeleted { get; set; }
        public Nullable<System.DateTime> LastModificationTime { get; set; }
        public string SuperAdminEmail { get; set; }
        public Nullable<long> CreatorUserId { get; set; }
        public Nullable<long> LastModifierUserId { get; set; }
        public Nullable<System.DateTime> CreationTime { get; set; }
    
        public virtual Client Client { get; set; }
        public virtual PostCode PostCode { get; set; }
        public virtual State State { get; set; }
    }
}
